{% extends 'index.html' %}
{% load static %}

{% block theme-css-files %}
  <link href="{% static 'assets/css/slick.css' %}" rel="stylesheet" type="text/css"/>
{% endblock %}
{% block header-css-nocompress %}
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/fancybox/3.2.1/jquery.fancybox.min.css" />
{% endblock %}

{% block page %}
  <div class="ord-detail" id="order-detail">

    <div class="loading-stub active" ref="loadingStub"></div>

    <div v-if="isError" class="ord-detail__error" >
      <p>Извините! Страница, которую Вы ищете, не может быть найдена</p>
    </div>
    <div class="ord-detail__holder" v-if="!isError">
      {% if perms.order.change_order or perms.order.delete_order %}
        {% if request.user.is_admin or request.user.is_acounter or request.user.is_leader %}
            <div class="ord-detail__dropdown-holder">
          <dropdown>
            {% if perms.order.change_order %}
            <div class="menu-controls__item"><a class="menu-controls__link" href="{% url 'lk:order_edit' order.id %}">Редактировать</a></div>
            {% endif %}
            {% if perms.order.delete_order %}
              <div class="menu-controls__item"><a class="menu-controls__link" @click="removeOrder({{ order.pk }})" style="cursor: pointer;">Удалить</a></div>
            {% endif %}
          </dropdown>
        </div>
        {% endif %}
        {% if request.user.is_admin %}
            <div class="ord-detail__dropdown-holder">
              <dropdown>
                <div class="menu-controls__item">
                  <span class="menu-controls__link" @click="openOrderModal('change_order_status-' + order.id, order.id)">Отменить заказ</span>
                </div>
                <div class="menu-controls__item">
                  <span class="menu-controls__link" @click="openOrderModal('change_order_false_status-' + order.id, order.id)">Ложный вызов</span>
                </div>
                <div class="menu-controls__item">
                  <span class="menu-controls__link" @click="openOrderModal('change_order_date_of_inspection-' + order.id, order.id)">Изменить время</span>
                </div>
                <div class="menu-controls__item">
                  <span class="menu-controls__link" @click="openOrderModal('change_order_inspection_place-' + order.id, order.id)">Изменить место</span>
                </div>
              </dropdown>
            </div>
        {% endif %}
      {% endif %}

      <div class="ord-detail__head" v-if="order">
        <div class="orders-popups">

          <form class="order-popup" :id="'change_order_status-' + order.id" @submit="sendForm($event, 'change_order_status')">
            <div class="order-popup__title">
              <h3>Отменить заказ</h3>
            </div>
            <input type="hidden" name="form" value="change_order_status">
            <input type="hidden" name="order_id" :value="order.id">
            <input type="hidden" name="status" :value="7">
            <div class="fieldset__item field">
              <label class="label label_default label_l" for="cancelOrdred">Комментарий</label>
              <div class="order-popup__textarea-block control control_default control_m">
                <textarea name="comment" id="cancelOrdred" class="order-popup__textarea"></textarea>
              </div>
            </div>
            <div class="fieldset__item">
              <button class="btn btn_m btn_primary btn_block" type="submit">
                <div class="btn__grid">
                  <div class="btn__title">Отправить</div>
                </div>
              </button>
            </div>
            <div class="error-msg">
              <span>Заполните все поля корректно</span>
            </div>
          </form>

          <form class="order-popup" :id="'change_order_false_status-' + order.id" @submit="sendForm($event, 'change_order_status')">
            <div class="order-popup__title">
              <h3>Ложный вызов</h3>
            </div>
            <input type="hidden" name="form" value="change_order_status">
            <input type="hidden" name="order_id" :value="order.id">
            <input type="hidden" name="status" :value="14">
            <div class="fieldset__item field">
              <label class="label label_default label_l" for="falseOrder">Комментарий</label>
              <div class="order-popup__textarea-block control control_default control_m">
                <textarea name="comment" id="falseOrder" class="order-popup__textarea"></textarea>
              </div>      
            </div>
            <div class="fieldset__item">
              <button class="btn btn_m btn_primary btn_block" type="submit">
                <div class="btn__grid">
                  <div class="btn__title">Отправить</div>
                </div>
              </button>
            </div>
            <div class="error-msg">
              <span>Заполните все поля корректно</span>
            </div>
          </form>

          <form class="order-popup" :id="'change_order_date_of_inspection-' + order.id" @submit="sendForm($event, 'change_order_date_of_inspection')">
            <div class="order-popup__title">
              <h3>Изменить время</h3>
            </div>
            <input type="hidden" name="form" value="change_order_date_of_inspection">
            <input type="hidden" name="order_id" :value="order.id">
            <input type="hidden" name="date_of_inspection" :value="order.date_of_inspection">
            <div class="fieldset__item field">
              <label class="label label_default label_l" for="dateOrder">Дата</label>
              <div class="order-popup__input-block control control_default control_m">
                <input name="date" id="dateOrder" placeholder="__.__.____" maxlength="10" class="order-popup__input"/>
              </div>
            </div>
            <div class="fieldset__item field">
              <label class="label label_default label_l" for="timeOrder">Время</label>
              <div class="order-popup__input-block control control_default control_m">
                <input name="time" id="timeOrder" placeholder="__:__" maxlength="5" class="order-popup__input"/>
              </div>
            </div>
            <div class="fieldset__item">
              <button class="btn btn_m btn_primary btn_block" type="submit">
                <div class="btn__grid">
                  <div class="btn__title">Отправить</div>
                </div>
              </button>
            </div>
            <div class="error-msg">
              <span>Заполните все поля корректно</span>
            </div>
          </form>

          <form class="order-popup" :id="'change_order_inspection_place-' + order.id" @submit="sendForm($event, 'change_order_inspection_place')">
            <div class="order-popup__title">
              <h3>Изменить место</h3>
            </div>
            <input type="hidden" name="form" value="change_order_inspection_place">
            <input type="hidden" name="order_id" :value="order.id">
            <div class="fieldset__item field">
              <label class="label label_default label_l" for="timeOrder">Место</label>
              <div class="order-popup__input-block control control_default control_m">
                <input name="inspection_place" class="order-popup__input" :value="order.inspection_place" />
              </div>
            </div>
            <div class="fieldset__item">
              <button class="btn btn_m btn_primary btn_block" type="submit">
                <div class="btn__grid">
                  <div class="btn__title">Отправить</div>
                </div>
              </button>
            </div>
            <div class="error-msg">
              <span>Заполните все поля корректно</span>
            </div>
          </form>
          
        </div>
        <div class="ord-detail__title" >
          <div class="ord-detail__title_text" >
            <h1>Заказ №${order.name} / ${order.order_type}</h1>
          </div>
          <div class="ord-detail__title_statuses">
            <div
              v-if="order.status_closing"
              class="ord-detail__status status_closed"
            >
              <span>закрыт</span>
            </div>
            <div v-if="order.canceled" class="ord-detail__status ord-detail__status_cancelled">отменен</div>
            <div v-else class="ord-detail__status" :class="getOrderStatusClass(order.status)">
              <span>${ order.status }</span>
            </div>
            <div class="ord-detail__status ord-detail__status_payment" :class="getOrderPaymentStatus(order.status_pay)" >
              ${ order.status_pay }
            </div>
          </div>
          <div class="ord-detail__title_date" >
            ${getTranslatedDate(order.date_start)} <span v-if="order.date_end"> - </span> ${getTranslatedDate(order.date_end)}
          </div>
        </div>
      </div>
      <div class="ord-detail__body" v-if="order">

        <!-- Start About order/performers -->
        <div class="ord-detail__row ord-detail__row--had-twise">
          <div class="ord-detail__block ord-detail__block--twise">

            <div class="ord-detail__block_head ord-detail__block_head--without-border">
              <div class="ord-detail__block_head_left">
                <div class="ord-detail__block_icon">
                  <img src="/static/img/assets/orders/order-detail-about.svg" alt="">
                </div>
                <div class="ord-detail__block_title">О заказе:</div>
              </div>
              <div class="ord-detail__block_head_right"></div>
            </div>

            <div class="ord-detail__block_body">

              <div class="ord-detail__block-text">
                <div class="ord-detail__block-text_left">Услуга:</div>
                <div class="ord-detail__block-text_right">  ${order.order_type} </div>
              </div>
              <br>

              <div class="ord-detail__block-text" v-if="order.client">
                <div class="ord-detail__block-text_left">Клиент:</div>
                <div class="ord-detail__block-text_right">
                  {% if perms.core.view_user %}
                    <a class="link link_title" :href="`/user/user_detail/${order.client.id}`">${ order.client.full_name }</a>
                  {% else %}
                    <a class="link link_title" :href="order.client.id == {{ request.user.id }} ? `/user/user_detail/${order.client.id}` : null">${ order.client.full_name }</a>
                  {% endif %}
                </div>
              </div>

              <div class="ord-detail__block-text" v-if="order.client.phone">
                <div class="ord-detail__block-text_left">Телефон:</div>
                <div class="ord-detail__block-text_right">
                  <a
                    class="link link_title"
                    :href="`tel:${order.client.phone}`"
                  >
                    ${order.client.phone}
                  </a>
                </div>
              </div>

              <div class="ord-detail__block-text--only-border"></div>

              <div class="ord-detail__block-text" v-if="order.cost">
                <div class="ord-detail__block-text_left">Стоимость:</div>
                <div class="ord-detail__block-text_right"> <b>${getHumanReadableNumber(order.cost)} ₽</b> </div>
              </div>

              <div class="ord-detail__block-text" v-if="order.paid">
                <div class="ord-detail__block-text_left">Оплачено:</div>
                <div class="ord-detail__block-text_right "> <b>${getHumanReadableNumber(order.paid)} ₽</b> </div>
              </div>

              {% if not user.is_client and not user.is_hr %}
              <div class="ord-detail__block-text" v-if="order.mark_model">
                <div class="ord-detail__block-text_left">Марка и модель:</div>
                <div class="ord-detail__block-text_right "> <b><a :href="order.link_url" class="link link_title">${order.mark_model}</a></b> </div>
              </div>
              {% endif %}
              {% if not user.is_client and not user.is_hr %}
              <div class="ord-detail__block-text" v-if="order.date_of_inspection">
                <div class="ord-detail__block-text_left">Дата и время:</div>
                <div class="ord-detail__block-text_right "> <b>${order.date_of_inspection_converted}</b> </div>
              </div>
              {% endif %}
              {% if not user.is_client and not user.is_hr %}
              <div class="ord-detail__block-text" v-if="order.inspection_place">
                <div class="ord-detail__block-text_left">Место осмотра:</div>
                <div class="ord-detail__block-text_right "> <b>${order.inspection_place}</b> </div>
              </div>
              {% endif %}

              {% if not user.is_client and not user.is_hr %}
              <div class="ord-detail__block-text" v-if="order.comment">
                <div class="ord-detail__block-text_left">Комментарий:</div>
                <div class="ord-detail__block-text_right "> <b>${order.comment}</b> </div>
              </div>
              {% endif %}
              {% if not user.is_client and not user.is_hr %}
              <div class="ord-detail__block-text" v-if="order.reason_refuse">
                <div class="ord-detail__block-text_left">Комментарий руководителя и причина отказа:</div>
                <div class="ord-detail__block-text_right "> <b>${order.reason_refuse}</b> </div>
              </div>
              {% endif %}
              {% if not user.is_client and not user.is_hr %}
              <div class="ord-detail__block-text" v-if="order.refund_amount">
                <div id="refund_amount_block_left" class="ord-detail__block-text_left">Сумма возврата:</div>
                <div id="refund_amount_block_right" class="ord-detail__block-text_right "> <p>${getHumanReadableNumber(order.refund_amount)} ₽</p> </div>
              </div>
              {% endif %}
            </div>
          </div>

          <div class="ord-detail__block ord-detail__block--twise">
            <div class="ord-detail__block_head ord-detail__block_head--without-border">
              <div class="ord-detail__block_head_left">
                <div class="ord-detail__block_icon">
                  <img src="/static/img/assets/orders/order-detail-performers.svg" alt="">
                </div>
                <div class="ord-detail__block_title">Исполнители:</div>
              </div>
              <div class="ord-detail__block_head_right"></div>
            </div>
            <div class="ord-detail__block_body">

              <div class="ord-detail__block-text" v-if="order.filial">
                <div class="ord-detail__block-text_left">Филиал:</div>
                <div class="ord-detail__block-text_right"> ${order.filial.name} </div>
              </div>
              <br>

              {% if field_perms.order.operator %}
              <div class="ord-detail__block-text" >
                <div class="ord-detail__block-text_left">Операторы:</div>
                <div
                  class="ord-detail__block-text_right"
                  v-if="order.operator.length === 0"
                >-</div>
                <div
                  v-else
                  class="ord-detail__block-text_right"
                >
                  <p class="" v-for="user in order.operator">${ user.full_name }</p>
                </div>
              </div>
              {% endif %}

              {% if field_perms.order.expert %}
              <div class="ord-detail__block-text" >
                <div class="ord-detail__block-text_left">Эксперты по подбору:</div>
                <div
                  class="ord-detail__block-text_right"
                  v-if="order.expert.length === 0"
                >-</div>
                <div
                  v-else
                  class="ord-detail__block-text_right"
                >
                  <p class="" v-for="user in order.expert">${ user.full_name }</p>
                </div>
              </div>
              {% endif %}

              {% if field_perms.order.expert_check %}
              <div class="ord-detail__block-text" >
                <div class="ord-detail__block-text_left">Эксперты на перепроверке:</div>
                <div
                  class="ord-detail__block-text_right"
                  v-if="order.expert_check.length === 0"
                >-</div>
                <div
                  v-else
                  class="ord-detail__block-text_right"
                >
                  <p class="" v-for="user in order.expert_check">${ user.full_name }</p>
                </div>
              </div>
              {% endif %}

              {% if field_perms.order.transferring %}
              <div class="ord-detail__block-text" >
                <div class="ord-detail__block-text_left">Эксперты на сдаче:</div>
                <div
                  class="ord-detail__block-text_right"
                  v-if="order.transferring.length === 0"
                >-</div>
                <div
                  v-else
                  class="ord-detail__block-text_right"
                >
                  <p v-for="user in order.transferring">${ user.full_name }</p>
                </div>
              </div>
              {% endif %}

              <div class="ord-detail__block-text" >
                <div class="ord-detail__block-text_left">Место выдачи:</div>
                <div class="ord-detail__block-text_right" v-if="order.place_issuing">${ order.place_issuing }</div>
                <div v-else class="ord-detail__block-text_right">-</div>
              </div>

            </div>
          </div>
        </div>
        <!-- End About order/performers -->

        <!-- Start Documents -->
              <!-- {% include 'order/order_documents.html' %} -->
        <!-- End Documents -->

        <!-- Start Criteries -->
        <div class="ord-detail__row">
          <div class="ord-detail__block ord-detail__block--popup " data-block-holder >

            <div class="ord-detail__block_head" >
              <div class="ord-detail__block_head_left">
                <div class="ord-detail__block_icon">
                  <img src="/static/img/assets/orders/order-detail-criteria.svg" alt="">
                </div>
                <div class="ord-detail__block_title">Критерии:</div>
                {% if not user.is_client and not user.is_hr and not user.is_expert %}
                <div class="ord-detail__block_add-link" v-if="getPodborAvtoFromOrder.length <= 1">
                  <a :href="'/podbor-add/'+order_id" class="plus-icon" title="Добавить критерий">
                    <div class="icon icon_m">
                      <svg>
                        <use xlink:href="#icon_plus_24"></use>
                      </svg>
                    </div>
                  </a>
                </div>
                {% endif %}
              </div>
              <div class="ord-detail__block_head_right">
                <div class="ord-detail__block_button-show" @click="pressOnToggleBlockSection"></div>
                <div class="ord-detail__block_button-popup" @click="pressOnPopupBlockSection"></div>
              </div>
            </div>

            <div class="ord-detail__block_body" data-block-body >
              <div class="ord-detail__block_body-empty" v-if="getPodborAvtoFromOrder.length === 0">
                Критериев на данный момент нет
              </div>
              <div class="ord-detail__block_show-mobile">
                <button  class="ord-detail__block_button-back-popup btn btn_s btn_primary btn_inline mb_m " @click="pressOnPopupBlockSection">< Назад</button>
                <div class="ord-detail__block_head" >
                  <div class="ord-detail__block_head_left">
                    <div class="ord-detail__block_icon">
                      <img src="/static/img/assets/orders/order-detail-criteria.svg" alt="">
                    </div>
                    <div class="ord-detail__block_title">Критерии:</div>
                    <div class="ord-detail__block_add-link" v-if="getPodborAvtoFromOrder.length <= 1">
                      <a :href="'/podbor-add/'+order_id" class="plus-icon" title="Добавить критерий">
                        <div class="icon icon_m">
                          <svg>
                            <use xlink:href="#icon_plus_24"></use>
                          </svg>
                        </div>
                      </a>
                    </div>
                  </div>
                </div>
              </div>
              <div class="ord-detail__criteries" data-criteries-holder >
                <div
                  class="ord-detail__criteries_item"
                  v-for="(car,index) in getPodborAvtoFromOrder"
                  v-bind:data-criteries-index="index"
                  :key="car.id"
                >
                  <order-detail-criteria title="" head>
                    <span v-if="car.mark_auto"> ${car.mark_auto.name} &nbsp;</span>
                    <span v-if="car.model_auto"> ${car.model_auto.name} &nbsp;</span>
                    <span v-if="car.generation"> ${car.generation.name} &nbsp;</span>
                  </order-detail-criteria>
                  {% if perms.service.change_podborauto or perms.service.add_podborauto or perms.service.delete_podborauto%}
                    <dropdown>
                      {% if perms.service.change_podborauto %}
                        <div class="menu-controls__item">
                          <a class="menu-controls__link" :href="'/podbor-edit/' + car.id">Редактировать</a>
                        </div>
                      {% endif %}
                      {% if perms.service.add_podborauto %}
                        <div class="menu-controls__item">
                          <a
                            class="menu-controls__link"
                            :href="'/podbor-copy/'+order_id+'/'+car.id"
                          >
                            Копировать
                          </a>
                        </div>
                      {% endif %}
                      {% if perms.service.delete_podborauto %}
                        <div class="menu-controls__item">
                          <a class="menu-controls__link" style="cursor: pointer;" @click="pressOnRemoveCriteriesCar(car)">Удалить</a>
                        </div>
                      {% endif %}
                    </dropdown>
                  {% endif %}
                  <order-detail-criteria title="Кузов:" >
                    <span v-if="car.body_type_auto.length === 0">-</span>
                    <span v-else v-for="(body_type,index) in car.body_type_auto">
                      ${body_type.name}<span v-if="car.body_type_auto[index+1]">,&nbsp;</span>
                    </span>
                  </order-detail-criteria>
                  <order-detail-criteria title="Трансмиссия:" >
                    <span v-if="car.transmission_type.length === 0">-</span>
                    <span v-else v-for="(transmission,index) in car.transmission_type">
                      ${transmission}<span v-if="car.transmission_type[index+1]">,&nbsp;</span>
                    </span>
                  </order-detail-criteria>
                  <order-detail-criteria></order-detail-criteria>
                  <order-detail-criteria title="Двигатель:" >
                    <span v-if="isEmpty(car.engine_capacity) && isEmpty(getNormalCarHorsePower(car.horsepower))">-</span>
                    <span v-else >
                        <span v-if="car.engine_capacity.lower">от ${car.engine_capacity.lower} л.</span>
                        <span v-if="car.engine_capacity.upper">до ${car.engine_capacity.upper} л.</span>
                        <span v-if="!isEmpty(getNormalCarHorsePower(car.horsepower))">&nbsp;/&nbsp;</span>
                        <span v-if="getNormalCarHorsePower(car.horsepower) && getNormalCarHorsePower(car.horsepower).lower">от ${getNormalCarHorsePower(car.horsepower).lower} л.с </span>
                        <span v-if="getNormalCarHorsePower(car.horsepower) && getNormalCarHorsePower(car.horsepower).upper">до ${getNormalCarHorsePower(car.horsepower).upper} л.с </span>
                        <span v-if="car.engine_type.length > 0">&nbsp;/&nbsp;</span>
                        <span v-for="e_type in car.engine_type"> ${e_type} </span>
                    </span>
                  </order-detail-criteria>
                  <order-detail-criteria title="Привод:" >
                    <span v-if="car.drive_type.length === 0">-</span>
                    <span v-else v-for="(d_type,index) in car.drive_type">
                      ${d_type}<span v-if="car.drive_type[index+1]">,&nbsp;</span>
                    </span>
                  </order-detail-criteria>
                  <order-detail-criteria title="Комплектация:" >
                    <span v-if="!car.equipment">-</span>
                    <span v-else > ${car.equipment} </span>
                  </order-detail-criteria>
                  <div class="ord-detail__criteries_border" ></div>
                  <order-detail-criteria title="Год выпуска:" >
                    <span v-if="isEmpty(car.year_auto)">-</span>
                    <span v-else >
                      <span v-if="car.year_auto.lower">от ${car.year_auto.lower} &nbsp;</span>
                      <span v-if="car.year_auto.upper">до ${car.year_auto.upper}</span>
                    </span>
                  </order-detail-criteria>
                  <order-detail-criteria title="Пробег:" >
                    <span v-if="!car.mileage">-</span>
                    <span v-else > ${getHumanReadableNumber(car.mileage)} км</span>
                  </order-detail-criteria>
                  <order-detail-criteria title="Кол-во владельцев:" >
                    <span v-if="!car.number_of_hosts">-</span>
                    <span v-else > Не более ${car.number_of_hosts}х владельцев</span>
                  </order-detail-criteria>
                  <order-detail-criteria title="Бюджет:" >
                    <span v-if="!car.cost">-</span>
                    <b v-else >  ${getHumanReadableNumber(car.cost)} ₽</b>
                  </order-detail-criteria>
                  <div class="ord-detail__criteries_border" ></div>
                  <order-detail-criteria title="Цвет авто:" >
                    <span v-if="car.color_auto.length === 0 ">-</span>
                    <div v-else v-html="getAutoColorMarkup(car.color_auto,'')">  </div>
                  </order-detail-criteria>
                  <order-detail-criteria title="Салон:" >
                    <span v-if="car.salon_auto.length === 0">-</span>
                    <span v-else v-for="(s_auto,index) in car.salon_auto">
                      ${s_auto}<span v-if="car.salon_auto[index+1]">,&nbsp;</span>
                    </span>
                  </order-detail-criteria>
                  <order-detail-criteria title="Цвет салона:" >
                    <span v-if="car.color_salon.length === 0">-</span>
                    <span v-else v-for="(c_salon,index) in car.color_salon">
                      ${c_salon}<span v-if="car.color_salon[index+1]">,&nbsp;</span>
                    </span>
                  </order-detail-criteria>
                  <div class="ord-detail__criteries_border" ></div>
                  <order-detail-criteria title="Комментарий:" >
                    <span v-if="!car.comment">-</span>
                      <span v-else>${car.comment}</span>
{#                    {% if not user.is_client %}#}
{#                      <div class="bar-nav__item_title">#}
{#                          <a :href=`{% url "auto:auto_database_list" %}?account=true&generation=${car.generation.id}&mark_auto=${car.mark_auto.id}&model_auto=${car.model_auto.id}`>#}
{#                              База знаний#}
{#                          </a>#}
{#                      </div>#}
{#                    {% endif %}#}
                  </order-detail-criteria>
                </div>
              </div>
            </div>

          </div>
        </div>
        <!-- End Criteries -->

        <!-- Start Proven cars OLD FUNC - REMOVE LATER       -->
        <!-- <div class="ord-detail__row" id="reports">
          <div class="ord-detail__block" data-block-holder >

            <div class="ord-detail__block_head " >
              <div class="ord-detail__block_head_left">
                <div class="ord-detail__block_icon">
                  <img src="/static/img/assets/orders/order-detail-proven-cars.svg" alt="">
                </div>
                <div class="ord-detail__block_title">
                  Проверенные авто<span v-if="order.order_log.length > 0">(${order.proven_cars.length})</span>:
                </div>

                {% if not user.is_client and not user.is_hr %}
                <div class="ord-detail__block_add-link" >
                  <a :href="'/order/add-auto/'+order_id" class="plus-icon" title="Добавить авто">
                    <div class="icon icon_m">
                      <svg>
                        <use xlink:href="#icon_plus_24"></use>
                      </svg>
                    </div>
                  </a>
                </div>
                {% endif %}

              </div>
              <div class="ord-detail__block_head_right">
                <div class="ord-detail__block_button-show" @click="pressOnToggleBlockSection"></div>
              </div>
            </div>

            <div class="ord-detail__block_body" data-block-body>
              <div class="ord-detail__block_body-empty" v-if="order.proven_cars.length === 0">
                Проверенных авто на данный момент нет
              </div>
              <div class="ord-detail__proven-cars">
                <div class="ord-detail__proven-cars_holder" data-proven-car-holder >
                  <div
                    data-proven-car-item
                    class="ord-detail__proven-cars_item"
                    v-for="car in order.proven_cars"
                    :key="car.id"
                  >
                    <div class="ord-detail__proven-cars_item-holder">
                      {% if perms.auto.change_auto or perms.report.add_reportpodbor or perms.auto.delete_auto%}
                        <dropdown>
                          {% if perms.auto.change_auto %}
                            <div class="menu-controls__item"><a class="menu-controls__link" :href="'/auto/edit-auto/' + car.id">Редактировать</a></div>
                          {% endif %}
                          {% if perms.report.add_reportpodbor %}
                            <div class="menu-controls__item"><a class="menu-controls__link" href="#"
                              @click.prevent="addReport(car.id, order_id)"
                              >Добавить отчёт</a></div>
                          {% endif %}
                          {% if perms.auto.delete_auto %}
                            <div class="menu-controls__item">
                              <div class="menu-controls__link" @click.prevent="pressOnRemoveProvenCar(car,$event)">Удалить</div>
                            </div>
                          {% endif %}
                          {% if user.is_leader %}
                            <div class="menu-controls__item" v-if="!car.has_non_read_reports" >
                              <div class="menu-controls__link" @click.prevent="pressOnMarkAsUnreviewed(car,$event)">Отметить как непросмотренный</div>
                            </div>
                          {% endif %}
                        </dropdown>
                      {% endif %}

                      {% if user.is_leader %}
                      <div class="ord-detail__proven-cars_not-read"  v-if="car.has_non_read_reports">
                        <div class="ord-detail__status status_cancelled"><span>Новый</span></div>
                      </div>
                      {% endif %}

                      <div class="ord-detail__proven-cars_img">
                        <a :href="generateProvenCarsLink(car,order)">
                          <img v-if="car.image" :src="car.image" alt="">
                        </a>
                      </div>
                      <div class="ord-detail__proven-cars_info">
                        <div class="ord-detail__proven-cars_title">
                          <a :href="generateProvenCarsLink(car,order)">
                            <b v-if="car.auto"> ${car.auto} </b>
                          </a>
                        </div>
                        <div class="ord-detail__proven-cars_description">
                          <p>
                            <span v-if="!isEmpty(car.year_auto)">${car.year_auto.year} г., </span>
                            <span v-if="car.mileage" > ${getHumanReadableNumber(car.mileage)} км, </span>
                            <span v-if="car.transmission_type">${car.transmission_type}, </span>
                          </p>
                          <p>
                            <span v-if="car.engine_capacity">${car.engine_capacity} /</span>
                            <span v-if="car.horsepower">${car.horsepower} л.с /</span>
                            <span v-if="car.engine_type">${car.engine_type}</span>
                          </p>
                        </div>
                        <div class="ord-detail__proven-cars_bottom">
                          <div class="ord-detail__proven-cars_cost">
                            <a :href="generateProvenCarsLink(car,order)" v-if="car.cost">
                              ${getHumanReadableNumber(car.cost)} ₽
                            </a>
                          </div>
                          <div class="ord-detail__proven-cars_report" v-if="car.report_count">
                            <a :href="generateProvenCarsLink(car,order)" >
                              ${car.report_count} отчета(ов)
                            </a>
                          </div>
                        </div>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>

          </div>
        </div>  -->
        <!-- End Proven cars -->


        <!-- Start Proven cars -->
        <div class="ord-detail__row" id="reports">
          <div class="ord-detail__block" data-block-holder >

            <div class="ord-detail__block_head " >
              <div class="ord-detail__block_head_left">
                <div class="ord-detail__block_icon">
                  <img src="/static/img/assets/orders/order-detail-proven-cars.svg" alt="">
                </div>
                <div class="ord-detail__block_title">
                  Отчеты<span v-if="order.reportpodbor_set.length > 0">(${order.reportpodbor_set.length})</span>:
                </div>

                {% if not user.is_client and not user.is_hr %}
                <div class="ord-detail__block_add-link" >
                  <a :href="'/order/add-auto/'+order_id" class="plus-icon" title="Добавить авто">
                    <div class="icon icon_m">
                      <svg>
                        <use xlink:href="#icon_plus_24"></use>
                      </svg>
                    </div>
                  </a>
                </div>
                {% endif %}

              </div>
              <div class="ord-detail__block_head_right">
                <div class="ord-detail__block_button-show" @click="pressOnToggleBlockSection"></div>
              </div>
            </div>

            <div class="ord-detail__block_body" data-block-body>
              <div class="ord-detail__block_body-empty" v-if="order.reportpodbor_set.length === 0">
                Отчетов на данный момент нет
              </div>
              <div class="ord-detail__proven-cars">
                <div class="ord-detail__proven-cars_holder" data-proven-car-holder >
                  <div
                    data-proven-car-item
                    class="ord-detail__proven-cars_item"
                    v-for="reportObj in order.reportpodbor_set"
                    :key="reportObj.id"
                    v-if="reportObj.auto"
                  >
                    <div class="ord-detail__proven-cars_item-holder">
                      {% if perms.auto.change_auto or perms.report.add_reportpodbor or perms.auto.delete_auto%}
                        <dropdown>
                          {% if perms.report.change_reportpodbor %}
                            {% if request.user.is_expert %}
                                <div class="menu-controls__item" v-if="reportObj.is_one_month_report">
                                  <a class="menu-controls__link" :href="'/report/report-edit/' + reportObj.id">
                                    Редактировать
                                  </a>
                                </div>
                            {% elif not request.user.is_expert %}
                                <div class="menu-controls__item">
                                  <a class="menu-controls__link" :href="'/report/report-edit/' + reportObj.id">
                                    Редактировать
                                  </a>
                                </div>
                            {% endif %}
                          {% endif %}
                          {% if perms.report.add_reportpodbor %}
                            <div class="menu-controls__item" >
                              <a class="menu-controls__link" href="#" @click.prevent="addReport(reportObj.order.id, order_id)" >
                                Добавить отчёт
                              </a>
                            </div>
                          {% endif %}
                          {% if perms.report.delete_reportpodbor %}
                            <div class="menu-controls__item">
                              <div class="menu-controls__link" @click.prevent="pressOnRemoveReport(reportObj,$event)">Удалить</div>
                            </div>
                          {% endif %}
                          {% if user.is_leader %}
                            <div class="menu-controls__item" v-if="reportObj.auto && !reportObj.auto.has_non_read_reports" >
                              <div class="menu-controls__link" @click.prevent="pressOnMarkAsUnreviewed(reportObj,$event)">
                                Отметить как непросмотренный
                              </div>
                            </div>
                          {% endif %}
                          {% if perms.report.change_reportpodbor %}
                          <div class="menu-controls__item">
                            <div class="menu-controls__link" @click.prevent="pressOnReportChangeExecutor(reportObj,onUpdateReportChangeExecutor)">
                                Отправить на выдачу
                            </div>
                          </div>
                          {% endif %}
                          {% if perms.report.change_reportpodbor %}
                          <div class="menu-controls__item">
                            <div class="menu-controls__link" @click.prevent="pressOnReportChangeExecutor(reportObj,onUpdateReportReCheck)">
                                Отправить на перепроверку
                            </div>
                          </div>
                          {% endif %}
                        </dropdown>
                      {% endif %}

                      {% if user.is_leader %}
                      <div class="ord-detail__proven-cars_not-read"  v-if="reportObj.auto.has_non_read_reports">
                        <div class="ord-detail__status status_cancelled"><span>Новый</span></div>
                      </div>
                      {% endif %}

                      <div class="ord-detail__proven-cars_img">
                        <div class="ord-detail__proven-cars_status-label" v-bind:class=" reportObj.recommended ? 'good label' : 'bad label' ">
                            <span v-if="reportObj.recommended " > рекомендован</span>
                            <span v-if="!reportObj.recommended  " > не рекомендован</span>
                        </div>
                        <div class="ord-detail__proven-cars_status-label ord-detail__proven-cars_status-label--done good label" v-if="reportObj.status === 'Готов к выдаче'" >
                          <span>${reportObj.status}</span>
                        </div>
                        <div class="ord-detail__proven-cars_status-label ord-detail__proven-cars_status-label--on-recheck label" v-if="reportObj.in_recheck">
                          <span>На перепроверке</span>
                        </div>

                        <a :href="'/report/view/'+reportObj.id" >
                          <img v-if="reportObj.photos " :src="reportObj.photos" alt="">
                          <img v-else-if="reportObj.auto.image " :src="reportObj.auto.auto.image" alt="">
                        </a>
                      </div>
                      <a :href="'/report/view/'+reportObj.id" class="ord-detail__proven-cars_info">
                        <div class="ord-detail__proven-cars_title">
                          <span>
                            <!-- report auto name -->
                            <b v-if="reportObj.auto.auto"> ${reportObj.auto.auto} </b>
                          </span>
                        </div>
                        <div class="ord-detail__proven-cars_description">
                          <p>
                            <span v-if="!isEmpty(reportObj.auto.year_auto)">${reportObj.auto.year_auto.year} г., </span>
                              <span v-if="reportObj.mileage" > ${getHumanReadableNumber(reportObj.mileage)} км,</span>
                              <span v-if="reportObj.auto.mileage" > ${getHumanReadableNumber(reportObj.auto.mileage)} км,</span>
                              <span v-else="reportObj" ></span>
                            <span v-if="reportObj.auto.transmission_type">${reportObj.auto.transmission_type}, </span>
                          </p>
                          <p>
                            <span v-if="reportObj.auto.engine_capacity">${reportObj.auto.engine_capacity} /</span>
                            <span v-if="reportObj.auto.horsepower">${reportObj.auto.horsepower} л.с /</span>
                            <span v-if="reportObj.auto.engine_type">${reportObj.auto.engine_type}</span>
                          </p>
                        </div>
                        <div class="ord-detail__proven-cars_bottom">
                          <div class="ord-detail__proven-cars_cost">
                            <span v-if="reportObj.cost_after">
                              ${getHumanReadableNumber(reportObj.cost_after)} ₽
                            </span>
                          </div>
                          <div class="ord-detail__proven-cars_report" v-if="reportObj.created">
                            <span>
                              ${reportObj.created}
                            </span>
                          </div>
                        </div>
                      </a>
                    </div>
                  </div>
                </div>
              </div>
            </div>

          </div>
        </div>

        <!-- End Proven cars -->

        <!-- Start Log events -->
        {% if user.is_admin or user.is_leader or user.is_acounter %}
        <div class="ord-detail__row">
          <div class="ord-detail__block" data-block-holder >

            <div class="ord-detail__block_head " >
              <div class="ord-detail__block_head_left">
                <div class="ord-detail__block_icon">
                  <img src="/static/img/assets/orders/order-detail-events.svg" alt="">
                </div>
                <div class="ord-detail__block_title">
                  События<span v-if="order.order_log.length > 0">(${order.order_log.length})</span>:
                </div>
              </div>
              <div class="ord-detail__block_head_right">
                <div class="ord-detail__block_button-show" @click="pressOnToggleBlockSection"></div>
              </div>
            </div>

            <div class="ord-detail__block_body" data-block-body>
              <div class="ord-detail__block_body-empty" v-if="order.order_log.length === 0">
                Событий на данный момент нет
              </div>
              <div class="ord-detail__event">
                <div class="ord-detail__event_holder">
                  <div
                    class="ord-detail__event_item"
                    v-for="(log,index) in order.order_log"
                    :key="index"
                  >
                    <div class="ord-detail__event_img">
                      <a v-if="log.user" :href="'/user/user_detail/'+log.user.id">
                        <img
                          v-if="log.user.avatar"
                          :src="log.user.avatar"
                          alt="log.user.full_name"
                        >
                      </a>
                    </div>
                    <div class="ord-detail__event_user-name">
                      <a v-if="log.user" class="link link_title" :href="'/user/user_detail/'+log.user.id">
                        ${ log.user ? log.user.full_name : '-' }
                      </a>
                    </div>
                    <div class="ord-detail__event_description">
                      <p v-if="log.log_event">${log.log_event}</p>
                    </div>
                    <div class="ord-detail__event_time">
                      <span v-if="log.date_created">${log.date_created}</span>
                    </div>
                  </div>
                </div>
              </div>
            </div>

          </div>
        </div>
        {% endif %}
        <!-- End Log events -->

          <!-- hidden block -->
          <div class="hidden-block" style="position:absolute;left:9999px;">
              <div class="ord-detail__report-issue" id="order-report-to-issue">
                  <div class="ord-detail__block_head ">
                      <label>
                          <input type="checkbox" class="salon-checked" id="{{ form.auto_from_salon.id_for_label }}" name="{{ form.auto_from_salon.name }}" {% if from_salon %} checked {% endif %}>
                          <span>Авто из салона</span>
                      </label>
                  </div>
                  <br>
                <div class="ord-detail__report-issue-hodler">
                      <label for="order-change-executor-select" class="ord-detail__report-issue-label">Место выдачи</label>
                        <input id="address" class="place_issuing" v-modal="order.place_issuing" :value="order.place_issuing" type="text" id="fname" name="address"><br><br>
                  </div>
                  <div class="ord-detail__report-issue-hodler">
                      <label for="order-change-executor-select" class="ord-detail__report-issue-label">Выберете эксперта для выдачи</label>
                      <select id="order-change-executor-select"></select>
                  </div>
              </div>
          </div>
      </div>
    </div>
  </div>
<div id="order-popup">
  {% if user.is_client %}
    {% include 'client/popups.html' %}
  {% endif %}
</div>
{% endblock %}


{% block not-compressed-js %}
  {{ block.super }}
  <script>
    var order_id = {{ order.id }};
    var order_path = '/order/detail/{{ order.id }}';//path to get test json for order
  </script>
  <link href="https://cdn.jsdelivr.net/npm/suggestions-jquery@20.3.0/dist/css/suggestions.min.css" rel="stylesheet" />
  <script src="https://cdn.jsdelivr.net/npm/suggestions-jquery@20.3.0/dist/js/jquery.suggestions.min.js"></script>

{% endblock %}

{% block script %}
  {{ block.super }}
  <script src="{% static 'js/orderdetail.bundle.js' %}"></script>
  {% if user.is_client %}
  <script src="{% static 'js/userclient.bundle.js' %}"></script>
  {% endif %}
  <script src="{% static 'assets/js/plugins/sliders/slick.js' %}"></script>
{% endblock %}

{% block script-nocompress %}
    {{ block.super }}
    <script src="https://cdnjs.cloudflare.com/ajax/libs/fancybox/3.2.1/jquery.fancybox.js"></script>
{% endblock %}